Subject: [Dots] Genart last call review of draft-ietf-dots-use-cases-23

From: Elwyn Davies via Datatracker <[email-masked]>
Date: Wed, 10 Jun 2020 09:00:04 -0700

Reviewer: Elwyn Davies
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-dots-use-cases-23
Reviewer: Elwyn Davies
Review Date: 2020-06-10
IETF LC End Date: 2020-06-11
IESG Telechat date: Not scheduled for a telechat

Summary:
Ready wih some minor nits.

Major issues:
None

Minor issues:
None

Nits/editorial comments:
s1, para 1: Just a thought:  might be worth adding to the end of this para:
"and increase the time for deployment in a situation where speed is often of
the essence".

s1, last para: Suggest adding in reference to DOTS requirements doc which is
referred to in s2: OLD:
   This document provides sample use cases that provided input for the
   design of the DOTS protocols [RFC8782][RFC8783].
NEW
   This document provides sample use cases that motivated the requirements
   for the DOTS protocols [RFC8612] and provided input for the design of
   those protocols [RFC8782][RFC8783].
ENDS

s2: For more logical ordering, move the definition of DDos Mitigation Service
Provider after definition of DDoS Mitigation Service.

s2, DDoS Mitigation Service:
OLD:
      Service subscriptions usually
      involve Service Level Agreement (SLA) that have to be met.
NEW:
      Each service subscription usually
      involves a Service Level Agreement (SLA) that has to be met.
ENDS

s3.1, para 1: The abbreviation ITP has already been defined so you shouldn't
have a redefinition here.

s3.1, para 7: s/thought different/though different/

s3.1, 2nd set of bullets, that are below Fig 1: This woud be more elegant using
(a), (b), etc as the bullet labels.

s3.1: Comment (not being familiar with the DOTS proposals): The text indicates
that the ITP mitigation effort is an all or nothing buisness.  Is this always
the case or could the client request or the server provide a proportional
response rather than an all or nothing response?

s3.2, last sentence of 2nd para after Fig 2: s/These exact/The exact/

s3.3, para 2: s/various information/various sets of information/

s3.3, para after Figure 4: s/monitor various network traffic/monitor various
aspects of the network traffic/.

s3.3, 2nd para after Figure 4: s/it's/it is/

s3.3, last five paras: Calling out a web interface specifically is overly
specific.  Suggest adding 'for example'in at least one case or changing it to
'user interface'.

s3.3, first para on page 11:
OLD:
to infer the DDoS Mitigation to elaborate and coordinate.
NEW:
to infer, elaborate and coordinate the appropriate DDoS Mitigation.
ENDS

s3.3, 3rd and subsequent paras on page 11: The orchestrator appears to change
from one DOTS server to a plurality at this point.  Please make it clear
whether there is one or many.  If only one, then s/The orchestrator DOTS
servers returns this information back/The orchestrator DOTS server returns this
information/ and s/servers/server/ subsequently.

s3.3, last para s/like  requesting/such as requesting/

s7:  This is an informational document and, as such, cannot have normative 
references.  Please combine all references into one refererences section.

---

From: <[email-masked]>
Date: Wed, 10 Jun 2020 16:20:07 +0000

Dear Elwyn, 

> references.  Please combine all references into one refererences

If we refer to the IESG statement available at: https://ietf.org/about/groups/iesg/statements/normative-informative-references/, we can read the following:

"Note 3: The normative/informative distinction is relevant in any document that amounts to a technical specification, even if its intended status is Experimental or Informational."

So, that's fine to have a normative ref section (if justified) for this document.

That's said, I do personally think that at least [RFC8782][RFC8783] have to be moved as Informative... but not for the reasons mentioned in the review. 

Cheers,
Med

> -----Message d'origine-----
> De : Dots [mailto:[email-masked]] De la part de Elwyn Davies
> via Datatracker
> Envoyé : mercredi 10 juin 2020 18:00
> À : [email-masked]
> Cc : [email-masked]; [email-masked];
> [email-masked]
> Objet : [Dots] Genart last call review of draft-ietf-dots-use-cases-23
> 
> Reviewer: Elwyn Davies
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.